"with interval" value of marker line symbology always reverts to "0" when saving the style to SLD

2019-04-24 08:50 PM - Navid Taheri

Status: Open

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.6.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29741

Description

I did create SLD files for each vector layers I tested them they were fine when I call them from PostGIS or even path on my system,

I did add a vector layer from GeoServer(WFS) service When I'd try load style from Properties > Load Style I'd surprised because only

scale was correct! symbol changed to line with high width, How I can fix this issue?

I should mention my QGIS version is 3.4.7 but I didn't find this version in Affected QGIS version section, therefore I deiced type here

History

#1 - 2019-05-01 06:23 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Affected QGIS version changed from 3.4.6 to 3.4.7

Please attach the symbol/style file and a sample of the data you are applying it to.

#2 - 2019-05-02 05:45 PM - Navid Taheri

- File Rail_Road.sld added

- File Fault.sld added

Giovanni Manghi wrote:

Please attach the symbol/style file and a sample of the data you are applying it to.

MyDB: http://s9.picofile.com/file/8356844692/zigmamap_backup.7z.html

Pass:T3hr@n_9901

OS:LMDE 3 X64, PostgreSQL 11.2, QGIS 3.4.7

#3 - 2019-05-02 06:34 PM - Giovanni Manghi

- File Screenshot_20190502_172748.png added

Navid Taheri wrote:
Giovanni Manghi wrote:

Please attach the symbol/style file and a sample of the data you are applying it to.

MyDB: http://s9.picofile.com/file/8356844692/zigmamap_backup.7z.html

Pass:T3hr@n_9901

OS:LMDE 3 X64, PostgreSQL 11.2, QGIS 3.4.7

this is how your SLD style looks like applied to your postgis layer here:

looks like pretty much the same as your image when you have applied it to the WFS layer. The vertical markers in your style have 0 spacing between

them, so it is normal it does not look like as you want. It seems that when exporting the style to sld with this specific parameter this is always set to 0.

You may want then to change the subject and description for this ticket, anwyway please look at the others already existing about exporting symbols to

SLD, there could be already one covering this case.

#4 - 2019-05-02 06:52 PM - Navid Taheri

- File Offset along line.png added

Giovanni Manghi wrote:

Navid Taheri wrote:

Giovanni Manghi wrote:
Please attach the symbol/style file and a sample of the data you are applying it to.

MyDB: http://s9.picofile.com/file/8356844692/zigmamap_backup.7z.html

Pass:T3hr@n_9901

OS:LMDE 3 X64, PostgreSQL 11.2, QGIS 3.4.7

this is how your SLD style looks like applied to your postgis layer here:

looks like pretty much the same as your image when you have applied it to the WFS layer. The vertical markers in your style have 0 spacing

between them, so it is normal it does not look like as you want. It seems that when exporting the style to sld with this specific parameter this is

always set to 0.

You may want then to change the subject and description for this ticket, anwyway please look at the others already existing about exporting symbols

to SLD, there could be already one covering this case.

May I ask you refer me to correct SLD Export Issue?, Because I did search in the middle of Issues but I didn't find same my problem in there moreover It

would be helpful if you help me find out specific distance cause to create problem, you mean was offset along line in below image? I must enter non zero

number in window and the I can save and load SLD everywhere even without any problem?

#5 - 2019-05-02 08:15 PM - Giovanni Manghi

Navid Taheri wrote:

May I ask you refer me to correct SLD Export Issue?, Because I did search in the middle of Issues but I didn't find same my problem in there

moreover It would be helpful if you help me find out specific distance cause to create problem, you mean was offset along line in below image? I

must enter non zero number in window and the I can save and load SLD everywhere even without any problem?
the properties that is reset to 0 (when saving a QGIS style to SLD) is the "with interval" in the last image you posted.

The fact that QGIS styles cannot be translated 100% to SLD is a known "limitation" of QGIS. QGIS style are very advanced so it is not an easy task. If you

want to keep your QGIS Desktop symbology in your services then use QGIS Server, and you don't need to worry with SLDs or another style format.

#6 - 2019-05-03 06:58 AM - Navid Taheri

Giovanni Manghi wrote:

Navid Taheri wrote:

May I ask you refer me to correct SLD Export Issue?, Because I did search in the middle of Issues but I didn't find same my problem in there

moreover It would be helpful if you help me find out specific distance cause to create problem, you mean was offset along line in below image? I

must enter non zero number in window and the I can save and load SLD everywhere even without any problem?

the properties that is reset to 0 (when saving a QGIS style to SLD) is the "with interval" in the last image you posted.

The fact that QGIS styles cannot be translated 100% to SLD is a known "limitation" of QGIS. QGIS style are very advanced so it is not an easy task.

If you want to keep your QGIS Desktop symbology in your services then use QGIS Server, and you don't need to worry with SLDs or another style

format.

Than you for your answer,

Hmmm, That's too bad QGIS has this kind of limitation :(, SLD is so important it is face of map,I hope QGIS developer

want remove this limitation in near future, until that I'll run QGIS server beside GeoServer :)

Thank you so much and Thank for your attention.

#7 - 2019-05-03 08:04 PM - Giovanni Manghi

- Operating System deleted (LMDE 3 (Linux Mint Debian 9) X64, PostgreSQL 11.2)

- Subject changed from SLD file saved already without any problem, can't load again properly! to "with interval" value of marker line symbology always 

reverts to "0" when saving the style to SLD

- Status changed from Feedback to Open

- Affected QGIS version changed from 3.4.7 to 3.6.2

Files

sld_01.png 161 KB 2019-04-24 Navid Taheri

sld_02.png 167 KB 2019-04-24 Navid Taheri

Rail_Road.sld 2.16 KB 2019-05-02 Navid Taheri

Fault.sld 2.11 KB 2019-05-02 Navid Taheri

Screenshot_20190502_172748.png 172 KB 2019-05-02 Giovanni Manghi

Offset along line.png 99.9 KB 2019-05-02 Navid Taheri
